#ifndef TCALIBPROCESSOR_H
#define TCALIBPROCESSOR_H

#include "TGo4EventProcessor.h"

class TXXXEventCal;
class TXXXParam;

class TXXXMakeCal : public TGo4EventProcessor {
   public:
      TXXXMakeCal() ;
      TXXXMakeCal(const char* name);
      virtual ~TXXXMakeCal() ;
      // event processing function, default name
      Bool_t BuildEvent(TGo4EventElement * target);
      Bool_t FillHistograms(TXXXEventCal * event);

 private:
      TXXXParam     *fPar1;
      TH1I          *fHis1;

   ClassDef(TXXXMakeCal,1)
};
#endif //TCALIBPROCESSOR_H


//----------------------------END OF GO4 SOURCE FILE ---------------------
