#ifndef TPHYSPROCESSOR_H
#define TPHYSPROCESSOR_H

#include "TGo4EventProcessor.h"

class TXXXEventPhys;

class TXXXMakePhys : public TGo4EventProcessor {
   public:
      TXXXMakePhys() ;
      TXXXMakePhys(const char* name);
      virtual ~TXXXMakePhys() ;
      // event processing function, default name
      Bool_t BuildEvent(TGo4EventElement * target);
      Bool_t FillHistograms(TXXXEventPhys * event);

 private:
      TH2I          *fc1x2;
      TH1I          *fHis1;
      TH1I          *fHis1g;
      TGo4WinCond   *fcHis1;

   ClassDef(TXXXMakePhys,1)
};
#endif //TPHYSPROCESSOR_H


//----------------------------END OF GO4 SOURCE FILE ---------------------
